Subject: ssh 1.2.20 diff and patch problems
From: [email-masked] (Hannu Koivisto)

23 May 1997 06:22:00 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: [email-masked]
Original-Sender: [email-masked]

Greetings,

I tried to apply the announced patch for ssh 1.2.20 to compile it with 
gnuwin32. However, patching (patch < ssh-1.2.20.diff) didn't succeed:

Hmm...  The next patch looks like a new-style context diff to me...
The text leading up to this was:
--------------------------
|E_GETRUSAGE) && defined(XXXJR)
|    {
|      struct rusage ru, cru;
|      getrusage(RUSAGE_SELF, &ru);
|diff -cr ssh-1.2.20/servconf.c ssh-1.2.20.new/servconf.c
|*** ssh-1.2.20/servconf.c      Tue Apr 22 17:40:07 1997
--------------------------
Patching file ssh-1.2.20/servconf.c using Plan A...
assertion "hunk" failed: file "/home/noer/src/beta18/cdk/patch/patch.c", line 33
9

I decided to try patching it in Linux. I moved the ssh archive and the diff
file to our Linux server and ran patch < ssh-1.2.20.diff. The result was even
more errors and failed hunks. Actually, almost all hunks failed with 
different error messages. Here's just one example:

Patching file ssh-1.2.20/socketpair.c using Plan A...
(Fascinating--this is really a new-style context diff but without
the telltale extra asterisks on the *** line that usually indicate
the new style...)
Hunk #1 failed at 9.
Hunk #2 succeeded at 67 with fuzz 2.

What am I doing wrong? Thanks in advance.

---
Hannu Koivisto | What you see is all you get.
Prime jee      |                            - Brian Kernighan
-------------------------------------------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".